#!/usr/bin/env python
# Generated by jaraco.develop 2.27.1
# https://pypi.python.org/pypi/jaraco.develop

import io
import sys

import setuptools

with io.open('README.rst', encoding='utf-8') as readme:
	long_description = readme.read()

needs_pytest = set(['pytest', 'test']).intersection(sys.argv)
pytest_runner = ['pytest_runner'] if needs_pytest else []
needs_sphinx = set(['release', 'build_sphinx', 'upload_docs']).intersection(sys.argv)
sphinx = ['sphinx'] if needs_sphinx else []
needs_wheel = set(['release', 'bdist_wheel']).intersection(sys.argv)
wheel = ['wheel'] if needs_wheel else []

setup_params = dict(
	name='hgtools',
	use_scm_version=True,
	author="Jannis Leidel/Jason R. Coombs",
	author_email="jaraco@jaraco.com",
	description="Classes and setuptools plugin for Mercurial and Git repositories",
	long_description=long_description,
	url="https://github.com/jaraco/hgtools",
	packages=setuptools.find_packages(),
	include_package_data=True,
	install_requires=[
	],
	extras_require={
	},
	setup_requires=[
		'setuptools_scm>=1.9',
	] + pytest_runner + sphinx + wheel,
	tests_require=[
		'pytest>=2.8',
		'backports.unittest_mock',
	],
	classifiers=[
		"Development Status :: 5 - Production/Stable",
		"Intended Audience :: Developers",
		"License :: OSI Approved :: GNU General Public License (GPL)",
		"Programming Language :: Python",
		"Programming Language :: Python :: 2.6",
		"Programming Language :: Python :: 2.7",
		"Programming Language :: Python :: 3",
		"Operating System :: OS Independent",
		"Topic :: Software Development :: Version Control",
		"Framework :: Setuptools Plugin",
	],
	entry_points={
		"setuptools.file_finders": [
			"hg = hgtools.plugins:file_finder"
		],
		"distutils.setup_keywords": [
			"use_hg_version = hgtools.plugins:version_calc",
			"use_vcs_version = hgtools.plugins:version_calc",
		],
	},
)
if __name__ == '__main__':
	setuptools.setup(**setup_params)
